import React, { useState, useRef, useEffect, useCallback } from 'react';
import { AppBar, Toolbar, IconButton, Typography, Drawer, List, ListItem, ListItemIcon, ListItemText, Button, Box, Container, Grid, Card, CardContent, CardMedia, CardActions } from '@mui/material';
import { useNavigate } from 'react-router-dom';
import MenuIcon from '@mui/icons-material/Menu';
import Brightness4Icon from '@mui/icons-material/Brightness4';
import Brightness7Icon from '@mui/icons-material/Brightness7';
import { useTheme, createTheme, ThemeProvider } from '@mui/material/styles';
import './Dashboard.css'; // Import the CSS file

const Dashboard = () => {
 const [drawerOpen, setDrawerOpen] = useState(false);
 const [darkMode, setDarkMode] = useState(false);
 const theme = useTheme();
 const navigate = useNavigate();

 const toggleDrawer = (open) => (event) => {
    if (event.type === 'keydown' && (event.key === 'Tab' || event.key === 'Shift')) {
      return;
    }
    setDrawerOpen(open);
 };

 const toggleColorMode = () => {
    setDarkMode(!darkMode);
    localStorage.setItem('color-mode', darkMode ? 'light' : 'dark');
 };

 const themeMode = createTheme({
    palette: {
      mode: darkMode ? 'dark' : 'light',
    },
 });

 return (
    <ThemeProvider theme={themeMode}>
      <AppBar position="fixed">
        <Toolbar>
          <IconButton
            edge="start"
            color="inherit"
            aria-label="menu"
            onClick={toggleDrawer(true)}
          >
            <MenuIcon />
          </IconButton>
          <Typography variant="h6" component="div" sx={{ flexGrow: 1 }}>
            Radio Logger
          </Typography>
          <IconButton color="inherit" onClick={toggleColorMode}>
            {darkMode ? <Brightness7Icon /> : <Brightness4Icon />}
          </IconButton>
        </Toolbar>
      </AppBar>
      <Drawer anchor="left" open={drawerOpen} onClose={toggleDrawer(false)}>
        <List>
          {/* Add your menu items here */}
        </List>
      </Drawer>
      <Toolbar />
      <Container sx={{ marginTop: 8 }}>
        <Grid container spacing={2}>
          {/* Add your card elements here */}
        </Grid>
      </Container>
    </ThemeProvider>
 );
};

export default Dashboard;