import React, { useState } from 'react';
import { Button, TextField, Box, Typography } from '@mui/material';
import '../Login/Login.css'; // Import the CSS file

const Register = () => {
 const [username, setUsername] = useState('');
 const [password, setPassword] = useState('');
 const [email, setEmail] = useState('');

 const handleRegister = (e) => {
    e.preventDefault();
    // Implement your registration logic here
    console.log('Registering user:', username, password, email);
    // After successful registration, redirect to login or dashboard
    // history.push('/login');
 };

 return (
    <Box className="login_box" sx={{
      backgroundColor: 'rgba(0, 0, 0, 0.5)',
      position: 'absolute',
      top: '50%',
      left: '50%',
      width: 400,
      padding: 4,
      transform: 'translate(-50%, -50%)',
      boxSizing: 'border-box',
      boxShadow: '0px 15px 25px rgba(0, 0, 0, 0.6)',
      borderRadius: 10,
    }}>
      <Typography variant="h4" component="h2" gutterBottom>
        Register
      </Typography>
      <TextField
        fullWidth
        margin="normal"
        label="Username"
        variant="outlined"
        value={username}
        onChange={(e) => setUsername(e.target.value)}
      />
      <TextField
        fullWidth
        margin="normal"
        label="Email"
        variant="outlined"
        value={email}
        onChange={(e) => setEmail(e.target.value)}
      />
      <TextField
        fullWidth
        margin="normal"
        label="Password"
        type="password"
        variant="outlined"
        value={password}
        onChange={(e) => setPassword(e.target.value)}
      />
      <Button variant="contained" color="primary" onClick={handleRegister}>
        Register
      </Button>
    </Box>
 );
};

export default Register;